<script>
  import axios from "axios";
  import { insertLocationStore } from "src/localdb/db.js";
  import AutoComplete from "../svelte-autocomplete/Autocomplete.svelte";
  import { onMount, afterUpdate } from "svelte";

  let provinceList = {};
  let isShow = false;
  let provinceSelect = "";
  let ampheoSelect = "";
  let districtSelect = "";
  onMount(async () => {
    const { data } = await axios.get("/getprovinces");
    provinceList = data;
  });

  afterUpdate(() => {});

  insertLocationStore.subscribe(resp => {
    isShow = resp;
  });

  const close = () => {
    isShow = !isShow;
    insertLocationStore.set(isShow);
  };
</script>

<style>

</style>

{#if isShow}
  <div
    class="modal fixed w-full h-full top-0 left-0 flex items-center
    justify-center z-30 py-20">
    <div class="modal-overlay absolute w-full h-full bg-gray-900 opacity-50" />
    <div
      class="modal-container bg-white w-11/12 sm:w-11/12 md:w-8/12 lg:w-6/12
      mx-auto rounded shadow-lg z-30 overflow-y-auto p-5">

      <!-- <div
        on:click={close}
        class="modal-close absolute top-0 right-0 cursor-pointer flex flex-col
        items-center mt-4 mr-4 text-white text-sm z-30">
        <svg
          class="fill-current text-white"
          xmlns="http://www.w3.org/2000/svg"
          width="18"
          height="18"
          viewBox="0 0 18 18">
          <path
            d="M14.53 4.53l-1.06-1.06L9 7.94 4.53 3.47 3.47 4.53 7.94 9l-4.47
            4.47 1.06 1.06L9 10.06l4.47 4.47 1.06-1.06L10.06 9z" />
        </svg>
        <span class="text-sm">(Esc)</span>
      </div> -->

      <!-- Add margin if you want to see some of the overlay behind the modal-->
      <div class="modal-content text-left">
        <!--Title-->
        <div class="flex justify-between items-center pb-3">
          <p class="text-2xl font-bold">บันทึกตำแหน่ง</p>
          <div on:click={close} class="modal-close cursor-pointer z-30">
            <svg
              class="fill-current text-black"
              xmlns="http://www.w3.org/2000/svg"
              width="18"
              height="18"
              viewBox="0 0 18 18">
              <path
                d="M14.53 4.53l-1.06-1.06L9 7.94 4.53 3.47 3.47 4.53 7.94
                9l-4.47 4.47 1.06 1.06L9 10.06l4.47 4.47 1.06-1.06L10.06 9z" />
            </svg>
          </div>
        </div>

        <!--Body-->
        <div class="w-full pb-2">
          <div class="w-full text-left">
            <span class="text-gray-700 pl-2">จังหวัด</span>
          </div>
          <AutoComplete
            className="h-10"
            placeholder="เลือกจังหวัด"
            onChange={() => {
              ampheoSelect = '';
              districtSelect = '';
            }}
            items={Object.keys(provinceList)}
            bind:selectedItem={provinceSelect} />
        </div>
        {#if provinceSelect}
          <div class="w-full pb-2">
            <div class="w-full text-left">
              <span class="text-gray-700 pl-2">อำเภอ</span>
            </div>
            <AutoComplete
              className="h-10"
              placeholder="เลือกอำเภอ"
              onChange={() => {
                districtSelect = '';
              }}
              items={Object.keys(provinceList[provinceSelect] ? provinceList[provinceSelect] : {})}
              bind:selectedItem={ampheoSelect} />
          </div>
          {#if ampheoSelect}
            <div class="w-full pb-2">
              <div class="w-full text-left">
                <span class="text-gray-700 pl-2">ตำบล</span>
              </div>
              <AutoComplete
                className="h-10"
                placeholder="เลือกตำบล"
                items={Object.keys(provinceList[provinceSelect][ampheoSelect] ? provinceList[provinceSelect][ampheoSelect] : {})}
                bind:selectedItem={districtSelect} />
            </div>
            {#if districtSelect}
              <div class="w-full pb-2">
                <div class="w-full text-left">
                  <span class="text-gray-700 pl-2">หมู่บ้าน</span>
                </div>
                <div
                  class="h-10 autocomplete select is-fullwidth sautocomplete-763">
                  <input
                    placeholder="กรอกชื่อหมู่บ้าน"
                    class="input autocomplete-input rounded-full px-3 py-4
                    text-gray-900 relative rounded text-base shadow outline-none
                    focus:outline-none focus:shadow-outline w-full pr-10
                    pac-target-input svelte-gfsz5d" />
                </div>
              </div>
            {/if}
          {/if}
        {/if}
        <div class="w-full px-5 text-gray-500">
          <p>Lat:</p>
          <p>Lng:</p>
        </div>
        <!--Footer-->
        <div class="flex justify-end pt-2">
          <button
            class="cursor-pointer modal-close px-4 bg-green-500 p-3 rounded-lg
            text-white hover:bg-green-700 mr-3">
            บันทึก
          </button>
          <button
            on:click={close}
            class="cursor-pointer modal-close px-4 bg-red-500 p-3 rounded-lg
            text-white hover:bg-red-700">
            ปิด
          </button>

        </div>

      </div>
    </div>
  </div>
{/if}
